Load Balancer

Create Listener

post/loadbalancer/{lb_uuid}/listeners

Create a new listener for a Load Balancer.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

lb_uuid*string

Request body

Create a new listener

application/jsonRequired
name*string
Range1 ≤ length ≤ 100
protocol?LBListenerProtocol
Default"http"Value in"http""https""tcp"
source_port*integer

Port to listen on

Range1 ≤ value ≤ 65535
target_port*integer

Port to forward to targets

Range1 ≤ value ≤ 65535
ssl_certificate_uuid?string | null

SSL certificate UUID for HTTPS

ssl_mode?string | null

SSL mode (auto-detected if certificate is provided)

Value in"auto""custom""none"
algorithm?LoadBalancerAlgorithm

Load balancing algorithm

Default"round_robin"Value in"round_robin""least_connections"
connection_timeout?integer | null

Connection timeout in seconds

Range1 ≤ value ≤ 300Default30
request_timeout?integer | null

Request timeout in seconds

Range1 ≤ value ≤ 600Default60
sticky_sessions?boolean | null

Enable sticky sessions (cookie-based persistence)

Defaultfalse
sticky_cookie_name?string | null

Cookie name for sticky sessions

Rangelength ≤ 100Default"SERVERID"
sticky_ttl_seconds?integer | null

Sticky session TTL in seconds

Range60 ≤ value ≤ 86400Default3600
enabled?boolean | null
Defaulttrue

Responses

Successful Response

application/json

uuid*string
name*string
protocol*string
source_port*integer
target_port*integer
enabled?boolean | null
detail*string